Add class to contextual edit button that relates to heading on wiki pages

2015-12-23 11:05 - Felix Gliesche

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.2.1

Description

Currently all headings within a .wiki container have the same margins. When changing these margin in a theme, the contextual edit

icons do not align with their headings anymore.

This patch adds a class to the contextual edit buttons in order to style them for their corresponding headlines.

Associated revisions

Revision 15136 - 2016-01-30 16:41 - Jean-Philippe Lang

Add class to contextual edit button that relates to heading on wiki pages ().

Patch by Felix Gliesche.

Revision 15137 - 2016-01-30 16:42 - Jean-Philippe Lang

Don't use implicit variables later (#21593).

Revision 15138 - 2016-01-30 20:07 - Jean-Philippe Lang
Test broken by r15136 (#21593).

Revision 15222 - 2016-03-12 11:36 - Jean-Philippe Lang
Merged r15136 to r15138 (#21593).

History

#1 - 2015-12-23 11:08 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

Since this can be generally useful for themes and is a minor change, I'd suggest that for the next minor release.

#2 - 2016-01-21 17:13 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 3.3.0

#3 - 2016-01-30 16:43 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#4 - 2016-01-30 16:43 - Jean-Philippe Lang
- Status changed from Closed to Resolved

- Target version changed from 3.3.0 to 3.2.1

3.2.1 will be fine.

#5 - 2016-03-12 11:36 - Jean-Philippe Lang

- Status changed from Resolved to Closed
